#ifndef __NLSH_VAL_H_INCLUDED__
#define __NLSH_VAL_H_INCLUDED__

typedef struct val_entry *val_entry_t;

val_entry_t val_start(void);
val_entry_t val_next(val_entry_t v);
char *val_name(val_entry_t v);
char *val_val(val_entry_t v);
char *val_get(char *name);
int val_add(char *name, char *val);
int val_del(char *name);
int val_add_from_string(char *str);

#endif
